Internet Explorer 8.0 is supported

ie8
We received several emails from customers, where they ask if Internet Explorer 8 is supported by SpellChecker.net applications. The answer is yes.

We maintain all compatible browsers starting from certain versions. Release of new versions is monitored, compatibility tests of the SpellChecker.net products on newly released versions is performed.

Compatible Browsers are as follows:
* Internet Explorer 6.0 +
* Firefox 2.0 +
* Google Chrome
* Safari 3.0 +

Related Posts